﻿using System.IO;
using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 데이터 서비스 인터페이스
    /// </summary>
    [ServiceContract]
    public interface IDataService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 데이터 구하기 - GetData(dataCount, useGZipStream)

        /// <summary>
        /// 데이터 구하기
        /// </summary>
        /// <param name="dataCount">데이터 카운트</param>
        /// <param name="useGZipStream">GZipStream 사용 여부</param>
        /// <returns>스트림</returns>
        [OperationContract]
        Stream GetData(int dataCount, bool useGZipStream);

        #endregion
    }
}